#
# Sendftp Windows v1.00 (18/7/99) by Lucas <Lucas@Kewl.Org>
# =============================================================================

# I used Ernst's sendftp.tcl to make this one.

# This is a proc to send a file via FTP to another server. Useful in many
# situations, for example to upload a HTML file generated by eggdrop to your
# www server if it is not the same as your eggdrops machine.

# Include it with 'source scripts/sendftpwin.tcl'.  Call it with all parameters:
#
#   sendftp <localfile> <server> <user> <password> <remotefile>
#
# 'localfile' and 'remotefile' *must* both be given as FULL paths to the
# filenames, the first on the local, the second	on the remote server.
#
# For example:
#
# sendftp /home/bill/stats.htm www.ms.com bill secret /bgates/WWW/stats.htm
#             (local-file       server    user  pass       remote-file)

proc sendftp { localfile server user pass remotefile } {
	if {![file exist $localfile]} {
		return "sendftp: File $localfile does not exist."
	}
        set pipe [open "|ftp -n $server" w]
	puts $pipe "user $user $pass"
	puts $pipe "bin"
	puts $pipe "put $localfile $remotefile"
	puts $pipe "quit"
	close $pipe
	return 1
}

putlog "Loaded : SendFTPWin.Tcl  Lucas Nussbaum (18/07/99)"